package sun.java2d.cmm;

import java.awt.color.ICC_Profile;

public interface PCMM
{
    public abstract Profile loadProfile(byte[] p0);
    
    public abstract void freeProfile(Profile p0);
    
    public abstract int getProfileSize(Profile p0);
    
    public abstract void getProfileData(Profile p0, byte[] p1);
    
    public abstract void getTagData(Profile p0, int p1, byte[] p2);
    
    public abstract int getTagSize(Profile p0, int p1);
    
    public abstract void setTagData(Profile p0, int p1, byte[] p2);
    
    public abstract ColorTransform createTransform(ICC_Profile p0, int p1, int p2);
    
    public abstract ColorTransform createTransform(ColorTransform[] p0);
}
